using System;
using System.Collections.Generic;
using System.Runtime.InteropServices;
using System.Text;

namespace JoyLib
{
    [StructLayout(LayoutKind.Sequential, Pack = 1)]
    unsafe struct JoyCaps
    {
        public ushort wMid;
        public ushort wPid; 
        public fixed char szPname[Win32.MAXPNAMELEN];
        public uint wXmin;
        public uint wXmax;
        public uint wYmin;
        public uint wYmax;
        public uint wZmin;
        public uint wZmax;
        public uint wNumButtons;
        public uint wPeriodMin;
        public uint wPeriodMax;
        public uint wRmin;
        public uint wRmax;
        public uint wUmin;
        public uint wUmax;
        public uint wVmin;
        public uint wVmax;
        public uint wCaps;
        public uint wMaxAxes;
        public uint wNumAxes;
        public uint wMaxButtons;
        public fixed char szRegKey[Win32.MAXPNAMELEN];
        public fixed char szOEMVxD[Win32.MAX_JOYSTICKOEMVXDNAME]; 

    }
}
