using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

namespace JoyLib
{
    class Win32
    {
        [DllImport("winmm.dll")]
        public static extern int joyGetPosEx(int uJoyID, ref JoyInfoEx pji);
        [DllImport("winmm.dll")]
        public static extern uint joyGetNumDevs();
        [DllImport("winmm.dll")]
        public static extern uint joyGetDevCapsW(uint uJoyID, ref JoyCaps pjc, uint cbSize);

        public const ulong JOY_RETURNX = 0x00000001L;
        public const ulong JOY_RETURNY = 0x00000002L;
        public const ulong JOY_RETURNZ = 0x00000004L;
        public const ulong JOY_RETURNR = 0x00000008L;
        public const ulong JOY_RETURNU = 0x00000010L;   /* axis 5 */
        public const ulong JOY_RETURNV = 0x00000020L;    /* axis 6 */
        public const ulong JOY_RETURNPOV = 0x00000040L;
        public const ulong JOY_RETURNBUTTONS = 0x00000080L;
        public const ulong JOY_RETURNRAWDATA = 0x00000100L;
        public const ulong JOY_RETURNPOVCTS = 0x00000200L;
        public const ulong JOY_RETURNCENTERED = 0x00000400L;
        public const ulong JOY_USEDEADZONE = 0x00000800L;
        public const ulong JOY_RETURNALL = (JOY_RETURNX | JOY_RETURNY | JOY_RETURNZ | 
                                                    JOY_RETURNR | JOY_RETURNU | JOY_RETURNV | 
                                                    JOY_RETURNPOV | JOY_RETURNBUTTONS);



        public const int MAXPNAMELEN = 32;

        public const int MAX_JOYSTICKOEMVXDNAME = 260;

        public const int JOYCAPS_HASZ = 0x0001;
        public const int JOYCAPS_HASR = 0x0002;
        public const int JOYCAPS_HASU = 0x0004;
        public const int JOYCAPS_HASV = 0x0008;
        public const int JOYCAPS_HASPOV = 0x0010;
        public const int JOYCAPS_POV4DIR = 0x0020;
        public const int JOYCAPS_POVCTS = 0x0040;
    }
}
