using System;
using System.Collections.Generic;
using System.Text;

namespace JoyLib
{
    public class JoystickInfo
    {
        int numButtons;
        int numAxes;
        bool bHasPOV;
        internal JoystickInfo(JoyCaps jc)
        {
            numButtons = (int)jc.wNumButtons;
            numAxes = (int)jc.wNumAxes;
            bHasPOV = (0 != (jc.wCaps & Win32.JOYCAPS_HASPOV));
        }

        public int ButtonCount
        {
            get
            {
                return numButtons;
            }
        }
        public int AxisCount
        {
            get
            {
                return numAxes;
            }
        }
        public bool HasPOV
        {
            get
            {
                return bHasPOV;
            }
        }
    }
}
